Bug 90058 - [WK2] Add Vibration API support for WebKit2
: [WK2] Add Vibration API support for WebKit2
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit2
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Sudarsana Nagineni (babu)
:
Depends on:
Blocks: 81252 91077
  Show dependency treegraph
 
Reported: 2012-06-27 03:04 PDT by Sudarsana Nagineni (babu)
Modified: 2012-09-05 01:13 PDT (History)
9 users (show)

See Also:


Attachments
Patch (32.45 KB, patch)
2012-06-27 03:55 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff
Patch (32.40 KB, patch)
2012-06-28 06:53 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sudarsana Nagineni (babu) 2012-06-27 03:04:08 PDT
Currently there is no support for the Vibration API in WebKit2. We need to implement it.
Comment 1 Sudarsana Nagineni (babu) 2012-06-27 03:55:09 PDT
Created attachment 149719 [details]
Patch

This patch covers adding support for the Vibration API to WebKit2.
Comment 2 Gyuyoung Kim 2012-06-27 19:20:32 PDT
When I build this patch on latest WebKit, there is build break. Could you check this ?


/home/gyuyoung/webkit/WebKit/Source/WebKit2/Platform/CoreIPC/ArgumentCoder.h: In static member function ‘static void CoreIPC::ArgumentCoder<T>::encode(CoreIPC::ArgumentEncoder*, const T&) [with T = long unsigned int]’:
/home/gyuyoung/webkit/WebKit/Source/WebKit2/Platform/CoreIPC/ArgumentEncoder.h:67:9:   instantiated from ‘void CoreIPC::ArgumentEncoder::encode(const T&) [with T = long unsigned int]’
/home/gyuyoung/webkit/WebKit/Source/WebKit2/Platform/CoreIPC/Arguments.h:72:9:   instantiated from ‘void CoreIPC::Arguments1<T1>::encode(CoreIPC::ArgumentEncoder*) const [with T1 = const long unsigned int&]’
/home/gyuyoung/webkit/WebKit/Source/WebKit2/Platform/CoreIPC/ArgumentCoder.h:39:9:   instantiated from ‘static void CoreIPC::ArgumentCoder<T>::encode(CoreIPC::ArgumentEncoder*, const T&) [with T = Messages::WebVibrationProxy::Vibrate]’
/home/gyuyoung/webkit/WebKit/Source/WebKit2/Platform/CoreIPC/ArgumentEncoder.h:67:9:   instantiated from ‘void CoreIPC::ArgumentEncoder::encode(const T&) [with T = Messages::WebVibrationProxy::Vibrate]’
/home/gyuyoung/webkit/WebKit/Source/WebKit2/Platform/CoreIPC/Connection.h:374:5:   instantiated from ‘bool CoreIPC::Connection::send(const T&, uint64_t, unsigned int) [with T = Messages::WebVibrationProxy::Vibrate, uint64_t = long long unsigned int]’
/home/gyuyoung/webkit/WebKit/Source/WebKit2/WebProcess/WebCoreSupport/WebVibrationClient.cpp:41:114:   instantiated from here
/home/gyuyoung/webkit/WebKit/Source/WebKit2/Platform/CoreIPC/ArgumentCoder.h:39:9: error: request for member ‘encode’ in ‘t’, which is of non-class type ‘const long unsigned int’
make[2]: *** [Source/WebKit2/CMakeFiles/ewebkit2.dir/WebProcess/WebCoreSupport/WebVibrationClient.cpp.o] Error 1
Comment 3 Sudarsana Nagineni (babu) 2012-06-28 06:53:41 PDT
Created attachment 149943 [details]
Patch

Fixed 32-bit build issue.
Comment 4 Gyuyoung Kim 2012-07-01 19:41:47 PDT
(In reply to comment #3)
> Created an attachment (id=149943) [details]
> Patch
> 
> Fixed 32-bit build issue.

Thanks, there is no build break now.
Comment 5 Gyuyoung Kim 2012-07-01 19:53:29 PDT
Comment on attachment 149943 [details]
Patch

Though I'm not a WK2 reviewer, looks good to me.
Comment 6 Chris Dumez 2012-07-06 13:03:53 PDT
Comment on attachment 149943 [details]
Patch

LGTM.
Comment 7 WebKit Review Bot 2012-07-10 15:14:51 PDT
Comment on attachment 149943 [details]
Patch

Clearing flags on attachment: 149943

Committed r122270: <http://trac.webkit.org/changeset/122270>
Comment 8 WebKit Review Bot 2012-07-10 15:14:57 PDT
All reviewed patches have been landed.  Closing bug.